Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

why have my add-ons been disabled in firefox 55.0.3?

  • 12 replies
  • 1 has this problem
  • 47 views
  • Last reply by FredMcD

more options

why have my add-ons been disabled in firefox 55.0.3? i have not updated firefox because i would lose several of the most useful add-ons. using windows 7 w/ the latest updates. THE LOSS OF MY TAB GROUPINGS AND SAVED PASSWORD EDITOR IS AN UNMITIGATED DISASTER! I might as well use the crap from microsoft. they also have the "big brother" attitude - i.e. WE will decide what you want and don't and there's not a g.d. thing you can do about it, ha, ha! PLEASE don't keep this condensing attitude! i need something to help, not hinder, my every move online.

Chosen solution

I have solved the problem, but still have no idea why it surfaced in the first place.

The fix was to go to "Tools - Add-Ons" and just re-install them one by one. There were only 4 of them that I considered critical, so it only took a few minutes. I lost a few of my groups in one set-up of FF, but was able to get a fairly recent back-up of my groupings, so no great loss there. I back up my groupings once per week.

You can do this by typing in "about:tabgroups#session" in the title bar, answering "Yes" to the "I accept the risk" and then click on the back-up bar. I let FF put the back-ups where it wants, so I don't have to remember where they are in case I need to get a prev. tab grouping (as when this bomb hit today).

I hope this helps out others who might experience the same screw-up from FF.

Read this answer in context 👍 0

All Replies (12)

more options

sorry about the misspelling in my original post - no other way to fix it other than this.

wolfgang38 said

why have my add-ons been disabled in firefox 55.0.3? i have not updated firefox because i would lose several of the most useful add-ons. using windows 7 w/ the latest updates. THE LOSS OF MY TAB GROUPINGS AND SAVED PASSWORD EDITOR IS AN UNMITIGATED DISASTER! I might as well use the crap from microsoft. they also have the "big brother" attitude - i.e. WE will decide what you want and don't and there's not a g.d. thing you can do about it, ha, ha! PLEASE don't keep this condescending attitude! i need something to help, not hinder, my every move online.
more options

Hi, Actually beside the post you made is a line Edit Post. You do know that all caps are considered shouting and rude !

No idea as to why your add-ons/Extensions have become disabled in 55

Please try this : Uninstall and delete Firefox folders in C: \ but not your Profile and reinstall your version.

Let us know how that works out.

more options

Open your add-ons manager. Look for anything labeled Legacy.

Legacy means that those add-ons will not work in Firefox 56+. They will need to be rewritten or replaced.

more options

Found the "edit post" - thanks! Just overlooked it in my moment of terror.

As for the caps, didn't mean to shout at anyone; I just wanted to emphasize this is a huge problem for me as, without these add-ons, it pretty much shuts down my Internet usage capabilities. And I need the Internet or my business shuts down and I starve - not optimal in my opinion. I must use the UPS website to print out labels - can't ship w/o the bar code.

I feel I have a perfect right to be upset w/ Firefox when they do something like this w/o warning or permission. They unfortunately seem to becoming more like the Microsoft criminal cartel and that is a terrible thing for all users.

So, I apologize if you thought I was shouting at you - my anger was strictly focused on the morons who d*** near caused me a heart attack when I discovered what they'd done w/ all my hundreds of tabs and login/passwords. I don't apologize to that bunch!

Pkshadow said

Hi, Actually beside the post you made is a line Edit Post. You do know that all caps are considered shouting and rude ! No idea as to why your add-ons/Extensions have become disabled in 55 Please try this : Uninstall and delete Firefox folders in C: \ but not your Profile and reinstall your version. Let us know how that works out.

Modified by wolfgang38

more options

Hi, Firefox Support is done by Volunteers, users like you.

So how you making out ?

more options

You are using a very old version of Firefox, 55. The current version is 60.0.1. Please update, and then update all your add-ons.

more options

As I said in my original post, I'm using FF 5.0.3 and have not upgraded because I'd lose these critical add-ons. How to get these to work again - there's absolutely no reason they shouldn't in v. 5.0.3 - was my question. Please read a post before replying to it.

FredMcD said

Open your add-ons manager. Look for anything labeled Legacy. Legacy means that those add-ons will not work in Firefox 56+. They will need to be rewritten or replaced.
more options

Hi, all extensions do have alternatives you can check that out here : https://alternativeto.net/

If you list them we can help you find ones that are compatible to ver 60.0.1

https://addons.mozilla.org/en-US/firefox/extensions/

more options

Chosen Solution

I have solved the problem, but still have no idea why it surfaced in the first place.

The fix was to go to "Tools - Add-Ons" and just re-install them one by one. There were only 4 of them that I considered critical, so it only took a few minutes. I lost a few of my groups in one set-up of FF, but was able to get a fairly recent back-up of my groupings, so no great loss there. I back up my groupings once per week.

You can do this by typing in "about:tabgroups#session" in the title bar, answering "Yes" to the "I accept the risk" and then click on the back-up bar. I let FF put the back-ups where it wants, so I don't have to remember where they are in case I need to get a prev. tab grouping (as when this bomb hit today).

I hope this helps out others who might experience the same screw-up from FF.

more options

You also do not appear to have read my original post.

I try to be concise and still thorough, but that doesn't do much good unless one takes the 15 seconds or so to actually read the post.

Please read before posting a reply so you won't sound so silly and uninformed.

Tyler Downer said

You are using a very old version of Firefox, 55. The current version is 60.0.1. Please update, and then update all your add-ons.

Modified by wolfgang38

more options

Thanks for the links!

However, I couldn't find a replacement for the "Saved Password Editor" & the choices for tab groupings appeared much more complicated. Also, I'm not sure if the new tabs add-on would be able to use my very extensive grouping system that I have now.

Looks like I'll just be stuck w/ v. 55 for a while. Don't like leaving myself open, but w/o these two add-ons, using FF would be a nightmare. I could NEVER keep all those sites in order, plus all the logins/passwords.

Pkshadow said

Hi, all extensions do have alternatives you can check that out here : https://alternativeto.net/ If you list them we can help you find ones that are compatible to ver 60.0.1 https://addons.mozilla.org/en-US/firefox/extensions/
more options

I refuse to lose my add-ons so I stopped updating and still use v54.